package cn.nhyw.khpj.dao;

import cn.base.dao.BaseSqlMapDAO;
import cn.base.util.CommUtils;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("monthlyKPIDao")
public class MonthlyKPIDao extends BaseSqlMapDAO{



	/**
	 * 修改记录
	 */
	public Integer batchupdateMonthlyKPI(List<Map> batch) throws SQLException{
		return this.update("batchupdateMonthlyKPI",batch);
	}



	/**
	 * 查询总数
	 */
	public Integer countMonthlyKPI(Map map) throws SQLException{
		return (Integer)this.queryForObject("countMonthlyKPI",map);
	}


	/**
	 * 查询列表记录
	 */
	public List<Map> queryMonthlyKPI(Map map) throws SQLException{
		return this.queryForList("queryMonthlyKPI",map);
	}


	/**
	 * 查询列表记录
	 */
	public Integer getMonthlyKPITotalScore(Map map) throws SQLException{
		return (Integer) this.queryForObject("getMonthlyKPITotalScore",map);
	}
	/**
	 * 查询列表记录
	 */
	public Integer countMonthlyKPIByVer(Map map) throws SQLException{
		return (Integer) this.queryForObject("countMonthlyKPIByVer",map);
	}
	/**
	 * 查询列表记录
	 */
	public List<Map> queryMonthlyKPIByVer(Map map) throws SQLException{
		return this.queryForPage("queryMonthlyKPIByVer",map);
	}
	public Map maxMonthlyKPIByVer(Map map) throws SQLException{
		return (Map)this.queryForObject("maxMonthlyKPIByVer",map);
	}

	public void insert_MonthlyKPIByVer(Map map) throws SQLException{
		 this.insert("insert_MonthlyKPIByVer",map);
	}
	public void update_MonthlyKPIByUsingVer(Map map) throws SQLException{
		this.update("update_MonthlyKPIByUsingVer",map);
	}
	public void update_MonthlyKPIByxh(Map map) throws SQLException{
		this.update("update_MonthlyKPIByxh",map);
	}

	public void update_MonthlyKPIVerByUsingVer(Map map) throws SQLException{
		this.update("update_MonthlyKPIVerByUsingVer",map);
	}

	public void delete_MonthlyKPI(Map map) throws SQLException{
		this.delete("delete_MonthlyKPIByUsingVer",map);
	}
	public void update_MaxMonthlyKPIByUsingVer(Map map) throws SQLException{
		this.update("update_MaxMonthlyKPIByUsingVer",map);
	}
	public void update_Max_Usingver(Map map) throws SQLException{
		this.update("update_Max_Usingver",map);
	}

}
